<?php
/**
 * Test for the LoginManager class
 * ===============================
 *
 * This example sets up an authorization system using the LoginManager
 * class. You don't have to use this to use the LiveUser class(es), but
 * this way you don't need to take care of the login-process, storing
 * the user object in a session and more...
 *
 * This example is intended to be used with the Auth/XML and the Perm/XML_Simple driver.
 *
 * @author Bjrn Kraus <krausbn@php.net>
 * @version $Id: example.php,v 1.4 2004/03/08 21:06:36 lsmith Exp $
 **/
error_reporting(E_ALL);


// Get LiveUser configuration array
require_once 'conf.php';

if ($xml_is_readable == false) {
    die('<p style="color: red; text-align: center;">The XML file isn\'t readable. Add the right permissions to it and then try again.</p>');
}
// Get LoginManager class definition
require_once 'LiveUser.php';

// right definitions
define('COOKING',               1);
define('WASHTHEDISHES',         2);
define('WATCHTV',               3);
define('WATCHLATENIGHTTV',      4);
define('USETHECOMPUTER',        5);
define('CONNECTINGTHEINTERNET', 6);


// The error handling stuff is not needed and used only for debugging
// while LiveUser is not yet mature
PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'eHandler');

function eHandler($errObj)
{
    echo '<hr /><span style="color: red;">' . $errObj->getMessage() . ':<br />' . $errObj->getUserinfo() . '</span><hr />';
}


$logout = (isset($_GET['logout'])) ? $_GET['logout'] : false;

// Create new LiveUser object.
$LU = LiveUser::factory( $liveuserConfig, '', '', $logout);


/**
 * Example callback function on logging in
 */
function testLogin()
{
    header('Location: loginscreen.php?target=example.php');
    exit();
} // end func testLogin



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>Example 2</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <style type="text/css">
    <!--
    body {
        font-family: Verdana, Arial, Helvetica, sans-serif;
        font-size: 12px;
        color: #000000;
        background-color: #FFFFFF
    }

    table {
        border: 1px solid #000;
        border-top: 0px;
        border-right: 0px;
        border-spacing: 0px;
        border-collapse: collapse;
    }

    table td {
        width: 100px;
        border-top: 1px solid #000;
        border-right: 1px solid #000;
        padding: 5px;
    }

    .info {
        border: 1px solid #000;
        border-top: 0px;
        border-right: 0px;
        border-spacing: 3px;
        border-collapse: collapse;
        background-color: #CCC;
    }

    .info td {
        border-top: 1px solid #000;
        border-right: 1px solid #000;
        font-weight: bold;
        text-align: center;
        padding: 2px;
    }

    .info th {
        border-top: 1px solid #000;
    }

        .center {
           text-align: center;
    }
    .center table {
           margin: auto;
    }
    -->
    </style>
</head>

<body>
<?php
// Check if the user has logged in successfully
if (!$LU->isLoggedIn()) {
    // The user couldn't login, so let's check if the reason was that
    // he's not yet been declared "valid" by an administrator.
    if ($LU->isInactive()) {
?>
            <h3>Sorry kid, but one of our admins has yet to approve
            your user status. Please be patient. Don't call us -
            we'll call you.</h3>
<?php
    } else {
?>
            <h3>Sorry, we can't let you in. Check if the spelling of
            your handle and password is correct.</h3>
<?php
    }
?>
        <p>&nbsp;</p>
        <p><i>Login Data for this Example:</i></p>
        <table>
            <tr>
                <td style="text-align: center; font-weight: bold;">Handle</th>
                <td style="text-align: center; font-weight: bold;">Password</th>
            </tr>
            <tr>
                <td>father</td>
                <td>father</td>
            </tr>
            <tr>
                <td>mother</td>
                <td>mother</td>
            </tr>
            <tr>
                <td>child</td>
                <td>child</td>
            </tr>
        </table>
<?php
} else {
    // Okay, he's in. Let's display a cross table with his rights.
?>
    <div class="center">
        <h2 style="text-align: center;">User logged in: <?php echo $LU->getProperty('handle'); ?></h2>
        <p>You can see user's rights in the table.</p>
        <table class="info">
            <tr>
                <td>right / room</td>
                <td>kitchen</td>
                <td>livingroom</td>
                <td>office</td>
            </tr>
<?php
      //Let's check the rights in the kitchen.
?>
            <tr>
                <td>cooking</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(COOKING)) {
?>
                <td>X</td>
<?php
    } else {
?>
                <td>&nbsp;</td>
<?php
    }
?>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>wash the dishes</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(WASHTHEDISHES)) {
?>
            <td>X</td>
<?php
    } else {
?>
                <td>&nbsp;</td>
<?php
    }
?>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
<?php
        //Let's check the rights in the livingroom.
?>
            <tr>
                <td>watch TV</td>
                <td>&nbsp;</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(WATCHTV)) {
?>
                <td>X</td>
<?php
    } else {
?>
                 <td>&nbsp;</td>
<?php
    }
?>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>watch latenight TV</td>
                <td>&nbsp;</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(WATCHLATENIGHTTV)) {
?>
                <td>X</td>
<?php
    } else {
?>
                <td>&nbsp;</td>
<?php
    }
?>
                <td>&nbsp;</td>
            </tr>
<?php
    //Let's check the rights in the office.
?>
            <tr>
                <td>use the computer</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(USETHECOMPUTER)) {
?>
                <td>X</td>
<?php
    } else {
?>
                <td>&nbsp;</td>
<?php
    }
?>
            </tr>
            <tr>
                <td>connecting to the internet</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
<?php
    // check whether the user has the required right
    if ($LU->checkRight(CONNECTINGTHEINTERNET)) {
?>
                <td>X</td>
<?php
    } else {
?>
                <td>&nbsp;</td>
<?php
    }
?>
            </tr>
        </table>
    </div>
<?php
}

// Show logout link.
?>
        <p class="center"><a href="example.php?logout=1">Logout</a></p>
<?php
// Just some more debug output with no further relevance
echo '<hr /><pre>';
print_r($LU);
echo '<hr />';
print_r($_SESSION);
echo '<hr />';
print_r($_POST);
echo '</pre>';

echo '<br />Handle:';
print_r($LU->getProperty('handle'));
echo '<br />User Type:';
print_r($LU->getProperty('userType'));
?>
</body>
</html>